
set train=ptb.train.txt
set test=ptb.test.txt
set valid=ptb.valid.txt


rem get vocabulary
..\..\tools\wbLM_getLext -train %train% -lext wsj.lext -lex-size 10000 -add-unk
..\..\tools\wbJRFtools_lext2list -lext wsj.lext -list wsj.list

rem get id corpus
..\..\tools\wbLM_ci2cino -in %train% -out training.id -lext wsj.list
..\..\tools\wbLM_ci2cino -in %test% -out test.id -lext wsj.list
..\..\tools\wbLM_ci2cino -in %valid% -out valid.id -lext wsj.list

rem This tools 'ngram-count' is come from the SRILM toolkits
..\..\tools\ngram-count -text training.id -order 5 -write training.count

rem get binary corpus file
..\..\tools\wbJRFtools_corpust2b -txt training.id -bin training.id.bin
..\..\tools\wbJRFtools_corpust2b -txt test.id -bin test.id.bin
..\..\tools\wbJRFtools_corpust2b -txt valid.id -bin valid.id.bin

pause